This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 758709 - RFE: port off of pyxf86config
RFE: port off of pyxf86config
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-30 09:51 EST by Adam Jackson
Modified: 2011-12-01 12:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-01 12:16:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2011-11-30 09:51:05 EST
Description of problem:

s-c-k is the sole remaining user of pyxf86config, which is itself a fairly fragile bit of code.  If it's possible to port us off of it, we should do so.

I _think_ that code can (and should) simply be removed, as system-setup-keyboard handles conversion from /etc/sysconfig/keyboard to xorg.conf.d already.  The existing code is probably broken anyway, as the 'kbd' driver is somewhat deprecated these days.
Comment 1 Peter Hutterer 2011-11-30 16:56:32 EST
All system-config-keyboard needs to do is write out to /etc/sysconfig/keyboard and provide the keyboard_models database (we could move that one to system-setup-keyboard if necessary). Any actual X keyboard configuration that system-config-keyboard does is ignored by the server anyway. So porting off it would simply mean dropping the code that writes out the InputDevice sections.
Comment 2 Adam Jackson 2011-12-01 12:16:16 EST
Well that's easy then.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3555987

Note You need to log in before you can comment on or make changes to this bug.